# Sparkle
Library for creating Discord bots.

## How to Build

### Required Libraries
- `curl`
- `ixwebsocket`

### Build Instructions
```sh
git clone http://applejack.ygg/fluttershy/sparkle.git && cd sparkle
cmake -B build && cmake --build build -j$(nproc)
build/sparkle -t <BOT_TOKEN>
```
# ToDo
- [x] Websocket support
- [x] Minimal discord api support
- [x] Selfbot support
- [x] Easy to use
- [ ] Optimised for high loads (not tested)
- [ ] Full api support
- [ ] Fixes for known bugs
- [ ] Windows support
- [ ] Sharding
- [ ] Tests